/*****************************************************************************************************************
*	S C I .h
*
* 
*
*
*****************************************************************************************************************/

#ifndef __SCI_H
#define __SCI_H 

void SendPacket(tUChar length);

// flagy pro rizeni odesilani a  ackovani paketu na sbernici, maskuji se do reqBuffer[appCB.task].parameter
//#define 	SCIFLAG_RETRANSMISSION   		0x1000		// paket je odesilan opakovane - nemeni se RID

//---------------------------------------------------------------------------


void init_sci_var();
tUInt SCI_GetChar(void);
void SCI_PutString( tUChar *pbStrPtr );  

void SCI_PutChar(tUInt Data);

tUInt SCI_PutCharBus(tUInt Data);
void SCI_Print_Byte( tUChar bNum );
void SCI_Print_Int( tUInt iNum );
void SCI_Print_Hex( tUInt ulValue );
void SCI_Print_Int_Binary( tUInt bNum );
void SCI_PutCRLF(void);
void SCI_PutData( tUChar *pbStrPtr );
void ParseSciRxData(void);
tUChar EmptySciRx(void);

void MeasureSciMessage(void);

void ChangeSciMessage(void);
void ErrorSciMessage(void);
void InfoSciMessage(void);
void AckSciMessage (void);
void StvSciMessage(void);
void CfgSciMessage(void);
void HwxSciMessage(void);
void CtrlSciMessage(void);
void DllSciMessage(void);
void RdiSciMessage(void);
void ErrorSciMessage(void);


void ErrorSciMessage(void);
void StateSciMessage(void);
void ChangeSciMessage(void);


void sendAckPacket(char _ack_state);

#endif
